## mailagent 3.1-78

=== debian/changelog ===
mailagent (1:3.1-78-1) unstable; urgency=low

  * New upstream release
  * Ack NMUs. Move to a new build system based on dh

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 27 Apr 2014 00:10:30 -0700

mailagent (1:3.1-74-0.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with perl 5.18: POD issues":
    fix POD syntax in debian/getspam.
    (Closes: #720973)

 -- gregor herrmann <gregoa@debian.org>  Mon, 02 Sep 2013 21:54:42 +0200

mailagent (1:3.1-74-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with gcc-4.8 (Closes: #701316)

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 12 Aug 2013 22:57:11 +0200

mailagent (1:3.1-74-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #605435

 -- Christian Perrier <bubulle@debian.org>  Tue, 17 Jan 2012 07:16:11 +0100

mailagent (1:3.1-74-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * New upstream release
  * One bug was still present in the patch, this release fixes it.

 -- Julian Gilbey <jdg@debian.org>  Fri, 23 Dec 2011 10:02:19 +0000

mailagent (1:3.1-73-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * New upstream release
  * Fixes the ctime.pl problem which was causing mail loss as in the
    previous upload, but corrects some bugs in my patch, hence
    urgency=high

 -- Julian Gilbey <jdg@debian.org>  Fri, 23 Dec 2011 09:44:10 +0000

mailagent (1:3.1-72-0.2) unstable; urgency=high

  * Non-maintainer upload.
  * Fix ctime.pl problem which was causing mail loss (Closes: Bug#652740)

 -- Julian Gilbey <jdg@debian.org>  Thu, 22 Dec 2011 21:20:30 +0000

mailagent (1:3.1-72-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release:
  *   Handles deprecated ctime.pl (Closes: #650205)
  *   Quietens perl warnings (Closes: #630963)
  * Depend on libperl4-corelibs-perl

 -- Julian Gilbey <jdg@debian.org>  Sun, 27 Nov 2011 19:05:03 +0000

mailagent (1:3.1-65-2) unstable; urgency=low

  * Bug fix: "postinst fails if debconf question skipped", thanks to Aaron
    M. Ucko                                               (Closes: #553628).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 01 Nov 2009 21:32:56 -0600

mailagent (1:3.1-65-1) unstable; urgency=low

  * New upstream release.
    + Do not propagate Followup-To headers via POST, unless the value is
      "poster". Indeed, INN2 will reject the article if the newsgroup
      listed there is invalid.
    + Be more picky about message IDs used for news: ensure there is but
      one "@".
    + Be even stricter with X- headers in POST: only let a few selected
      ones through.
    + Have POST strip more headers from the message, since INN2 will reject
      the message anyway if they are present.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 31 Oct 2009 02:46:47 -0500

mailagent (1:3.1-56-1) unstable; urgency=low

  * New upstream VCS snapshot.
    + Protect against SIGPIPE during BOUNCE and FORWARD, relying on the
      exit code at close() time to detect failures. (closes: #267879)
    + Make sure we suggest the use of "-i" in mailopt when they use
      sendmail. Automatically protect lines with a single "." when they
      did not supply -i to avoid failure of FORWARD and BOUNCE commands.
                                                     (Closes: #128114)

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 02 Sep 2008 23:50:40 -0500

mailagent (1:3.1-24-2) unstable; urgency=high

  * Swedish strings for mailagent debconf, thanks to
    brother@bsnet.se. This is an i18n upload.      Closes: #491775

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 02 Sep 2008 23:09:35 -0500

mailagent (1:3.1-24-1) unstable; urgency=low

  * New upstream release. After a long time, mailagent has revived. This
    version has bug fixes that make it friendlier to perl 5.10, and
    - Use strict RFC-822 definition for header names: the field name can
      be made of anything but SPACE or colon, from ASCII 33 to ASCII 126.
    - The patchlevel is now ignored, as we track by SVN revision
      number. Changed all version information reporting to new format
      "version-revision".
    - Added automatic computation of the SVN revision in "revision.h", for
      later  perusal by Configure to propagate correct revision numbers in
      files.
    - Added update of revision.h.
    - Removed the WARNING level, as it is not critical enough to warrant a
      daily notification.
    - Changed path for checkagent.sh in the sample crontab entry.
    - Added bzip2 compressor.
    - Removed legacy hardwired HOME directory.  Compute it!
    - Removed more "$*" uses that are now forbidden by perl 5.10.
    - Integrated more changed from Debian:
      + Fixed maildir computation logic to avoid useless superseding.
      + Added regular expression for Top Level Domain validation.
      + Removed "compress" from the list of default compressors and added
        bzip2.
    - Cleaned up by fixing most of the items listed in Debian bug #43171
      Bug fix: "mailagent: several problems with the manual page", thanks
      to  swift@alum.mit.edu                                (Closes: #43171).
    - Ensure POST always puts a single space after the field name to avoid
      INN rejecting the article due to invalid header.
    - Do not process the queue in the background when invoked from
      terminal, unless given an explicit -q switch, naturally.
    - Added -U switch to disable first UNIQUE / RECORD rejection for
      duplicates.
    - Reduce maximum article age for POST to 10 days.
    - Look for utmp in /var/run as well, for modern systems with read-only
     /etc.
    - Cleaned up code a little bit since now Configure enables gcc
      warnings  by default and thus code required some uplifting.
    - Remove all usage of $* as it is no longer accepted by Perl 5.10.
    - Reset CDPATH to avoid pdksh's emission of the chosen dir on "cd".

