=== debian/control ===
Source: mailagent
VCS-Git: git://anonscm.debian.org/users/srivasta/debian/mailagent.git
VCS-Browser: http://anonscm.debian.org/gitweb/?p=users/srivasta/debian/mailagent.git
Section: mail
Priority: optional
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.9.5.0
Build-Depends: groff-base, debhelper (>= 9.0.0), po-debconf, file,
               gettext, libperl4-corelibs-perl, dpkg-dev (>= 1.16.0)


Package: mailagent
Depends: ${shlibs:Depends}, ${misc:Depends}, perl, libperl4-corelibs-perl,
          debconf (>= 1.2.0) | debconf-2.0, exim4 | postfix | sendmail | mail-transport-agent
Architecture: any
Description: automatic mail-processing tool and filter
 Mailagent is a mail delivery agent, and can be programmed to
 respond to mail in ways more sophisticated than a mail filtering
 program like procmail. It is easy to configure, and very easy to
 extend using Perl. Not only can the base functionality be
 extended, new commands and processing methods can be added in a
 modular fashion.
 .
 Obeying lex-like rulesets, mailagent can file mails to specific
 folders (plain Unix-style folders and also MMDF and MH ones),
 forward messages to third parties, pipe them to commands or post
 them to newsgroups. The filtering commands that are executed on
 the messages can be extended, and may rewrite the message headers
 or body as desired. It can also create and process commands based
 on key words contained in the body of the mail message.
 .
 Mailagent can be used as a vacation program, and can answer mail
 automatically and with more flexibility than the command of that
 name. A template can be provided for the body of the response,
 and the frequency of vacation mails can also be specified. Simple
 macro substitutions allow parts of the mail header to be recycled
 into the vacation messages, for a more personalized reply.
 .
 Mailagent can also be used to set up a generic mail server,
 without the hassle of the lower-level concerns like error
 recovery, logging or command parsing.
 .
 Please note that on Debian systems, mailagent requires a catch-all
 rule saving all mail into the user's home directory. Unlike other
 Mail Delivery Agents such as procmail, mailagent is too extensible
 to be safely made setgid mail, and so cannot lock /var/spool/mail
 mailboxes.
