=== debian/watch ===
#  This is maintained as a subversion repository upstream.
# svn checkout svn://svn.code.sf.net/p/mailagent/code/trunk mailagent-code
